/commitments/recurringPayments

Creates a Recurring Commitment record and processes or initiates the first installment contribution with the payment information provided in the request body.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint should only be used in circumstances when the client or vendor has the ability to ensure PCI-compliant handling of payment data for any users of these APIs. EveryAction will ingest payment data in a manner that is PCI-compliant for EveryAction, but will not be responsible for integrating these APIs with any client systems or external vendors.

Only requests to POST payments-api.securevan.com/v4/commitments/recurringPayments will accept payment data in the request body, and all other domains will reject requests which appear to contain payment information.

In order to create a Recurring Commitment through this endpoint, the paymentMethod object must include all parameters associated with the specified paymentType and the paymentType may be either CreditCard or ElectronicFundsTransfer. An amount must be between $0.01 and $999,999.99.

If a Recurring Commitment is created successfully, the endpoint responds with HTTP Status Code 201 Created and the integer ID of the Recurring Commitment record in the response body. If the startDate of the Recurring Commitment matches the current date and the first installment is processed successfully, the integer ID of the associated Contribution record is also returned in the response body.

The Idempotency-Key header is required. This header prevents the server from processing duplicate requests. If a request's Idempotency-Key matches the Idempotency-Key of an existing completed request, the server will not process a Recurring Commitment and will respond with the status code and response body of the original request, with the header Idempotent-Replayed: true. If a request's Idempotency-Key matches the Idempotency-Key of an in-progress request, the server will not process a Recurring Commitment and will respond with a 409 error. Idempotency Keys are temporary, but will be remembered by the system for at least 48 hours.

For EFT payments: When using the Bonterra Payments gateway, you must set an email address anywhere a contribution can be initiated so that donors can receive a bank account verification email, which contains instructions on how to verify their account and confirm their EFT payment (for contributions under $150). You must also include a mandate, legally required text that donors must agree to and that acts as a confirmation of consent from the donor for an organization to initiate a withdrawal from their bank account.

Body Params
contact
object
required

The Person who contributed.

designation
object
required

The Designation which will receive funds associated with this Recurring Commitment.

int32
required
Defaults to 123456

The payment gateway which will process installments of this Recurring Commitment.

date
required
Defaults to 2025-01-01

The date upon which the first installment of the Recurring Commitment should be processed.

date
Defaults to 2025-01-01

The date upon which no further installments of the Recurring Commitment should be processed.

string
enum
required

The repeated frequency on which all Recurring Commitment installments will be processed.

double
required
Defaults to 10.26

Monetary amount of each Recurring Commitment installment. Non-positive values, and values that have more than 2 digits after the decimal point, will not be accepted. Must be between $0.01 and $999,999.99, inclusive.

paymentMethod
object
required

Payment information that will be used to process each installment of the Recurring Commitment.

codes
array of objects

An array of zero or one Code to apply to the Recurring Commitment. Recurring Commitments may not have more than one Code applied, and if a Code is applied, it must be a Source Code.

codes
generalLedgerFund
object

The associated generalLedgerFund object.

costCenter
object

The associated costCenter object.

string

The direct marketing code.

string

A note describing the Recurring Commitment.

extendedSourceCode
object

The Extended Source Code object to apply to the Recurring Commitment. Only the extendedSoureCodeId property is required. If this is provided, we’ll look for and apply a matching Source Code to the commitment from a Direct Response Plan segment that the contact is in with a contact history record that has the extended source code. If no matching source code is found, then the POST will fail.

Headers
string
required
Defaults to 00000000-0000-0000-0000-000000000123

An unique value generated by the client which the server uses to recognize subsequent retries of the same request. Can be any string at most 50 characters long - we recommend a V4 UUID. Keys are temporary and may be removed from the system after 48 hours.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json